libetonyek::KEYXMLReader::ElementIterator Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::KEYXMLReader::ElementIterator Class Reference

`#include <KEYXMLReader.h>`

## Public Member Functions
| ElementIterator (const KEYXMLReader &reader)
bool | next ()
const char * | getName () const
const char * | getNamespace () const
const char * | getText () const
bool | isEmpty () const
int | getToken (const char *token) const
const NodeIterator & | getNodeIterator () const

## Private Attributes
NodeIterator | m_iterator

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::ElementIterator::ElementIterator | ( | const KEYXMLReader & | reader | ) |
| explicit

## Member Function Documentation

const char * libetonyek::KEYXMLReader::ElementIterator::getName | ( |  | ) | const

Referenced by libetonyek::getNameId().

const char * libetonyek::KEYXMLReader::ElementIterator::getNamespace | ( |  | ) | const

Referenced by libetonyek::getNamespaceId().

const KEYXMLReader::NodeIterator & libetonyek::KEYXMLReader::ElementIterator::getNodeIterator | ( |  | ) | const

const char * libetonyek::KEYXMLReader::ElementIterator::getText | ( |  | ) | const

Referenced by libetonyek::getTextId().

int libetonyek::KEYXMLReader::ElementIterator::getToken | ( | const char * | token | ) | const

Referenced by libetonyek::getNameId(), libetonyek::getNamespaceId(), and libetonyek::getTextId().

bool libetonyek::KEYXMLReader::ElementIterator::isEmpty | ( |  | ) | const

bool libetonyek::KEYXMLReader::ElementIterator::next | ( |  | ) |

Referenced by libetonyek::checkEmptyElement(), libetonyek::KEY2TableParser::parse(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2TableParser::parseDatasource(), libetonyek::NUMParser::parseDocument(), libetonyek::PAGParser::parseDocument(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2TableParser::parseF(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2TableParser::parseGrid(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseImageMedia(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLayers(), libetonyek::PAGParser::parseLayout(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMasterSlides(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseMovieMedia(), libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::KEY2Parser::parsePage(), libetonyek::KEY2Parser::parsePath(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parseProperty(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::PAGParser::parseSection(), libetonyek::KEY2Parser::parseSelfContainedMovie(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2TableParser::parseSo(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStickyNotes(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2TableParser::parseT(), libetonyek::KEY2TableParser::parseTabularModel(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::parseTextBody(), libetonyek::PAGParser::parseTextBody(), libetonyek::PAGParser::parseTextStorage(), libetonyek::KEY2Parser::parseTextStorage(), libetonyek::KEY2Parser::parseTheme(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), libetonyek::KEY2Parser::processXmlNode(), libetonyek::KEY2StyleParser::readGeometry(), and libetonyek::skipElement().

## Member Data Documentation

NodeIterator libetonyek::KEYXMLReader::ElementIterator::m_iterator
| private

The documentation for this class was generated from the following files:

- KEYXMLReader.h
- KEYXMLReader.cpp